html {
  overflow-x: hidden;
}

body {
  background: #f7f7f7;
  position: relative;
  margin: 0;
  overflow-x: hidden;
  font-family: "Manrope", "sans-serif";
}

/*============================================================== Mobile Styles ==============================================================*/

.header {
  height: 10vh;
  text-align: right;
  padding-top: 3vh;
  padding-right: 10px;
  box-sizing: border-box;
}

.privacy-dropdown {
  display: none;
}

.privacy-popup {
  display: none;
}

.share-icon {
  height: 25px;
  width: 25px;
  fill: gray;
}

.share-icon:hover {
  cursor: pointer;
}

.share-arrow {
  height: 12px;
  width: 11.4px;
  fill: gray;
  padding-bottom: 7px;
  padding-left: 3px;
}

.share-arrow:hover {
  cursor: pointer;
}

.menu-icon {
  height: 25px;
  width: 25px;
  fill: gray;
  padding-left: 20px;
}

.menu-icon:hover {
  cursor: pointer;
}

.menu-toggle {
  display: none;
}

#menu:checked ~ .sidebar-right {
  right: 0;
}

.sidebar-right {
  box-sizing: border-box;
  display: flex;
  transition: 0.3s all;
  flex-direction: column;
  width: 55%;
  position: absolute;
  top: 0;
  right: calc(-50% - 30px);
  margin: 0;
  background-color: white;
  height: 100vh;
  padding: 30px 20px 5px 20px;
  border-left: 1px solid rgba(0, 0, 0, 0.2);
  z-index: 10;
  overflow: scroll;
}

.sidebar-right div:not(:last-child) {
  margin-bottom: 30px;
}

.nav-close {
  position: absolute;
  top: 15px;
  right: 10px;
  margin-left: auto;
}

.nav-close:hover {
  cursor: pointer;
}

.nav-close svg {
  fill: gray;
}

.nav-group {
  display: flex;
  flex-direction: column;
}

.nav-section {
  font-size: 10px;
  color: gray;
  text-transform: uppercase;
  margin-bottom: 10px;
}

.nav-item {
  font-size: 14px;
  margin-bottom: 5px;
}

.search-section {
  /* Height is 90vh because the header takes up the remaining 10vh.*/
  height: 90vh;
}

.logo {
  margin: 0 auto;
  padding-top: 25vh;
  display: block;
  background-image: url("https://duckduckgo.com/assets/logo_homepage.normal.v108.svg");
  height: 125px;
  width: 50%;
  background-repeat: no-repeat;
  background-position: center;
}

.search-form {
  position: relative;
  margin: 0 auto;
  width: 85%;
  height: 45px;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
  border-radius: 3px;
  margin-bottom: 20px;
  margin-top: -6vh;
}
.search-input {
  width: 85%;
  height: 45px;
  border: 0;
  padding: 0 0 0 10px;
  font-size: 14px;
  border-radius: 3px 0 0 3px;
}

.search-input:focus ~ .search-btn {
  background-color: #66ad57;
}

.search-btn {
  border-radius: 0 3px 3px 0;
  position: absolute;
  top: 0;
  right: 0;
  width: 15%;
  height: 45px;
  padding: 0;
  border: 0;
  background-color: white;
}

.search-btn svg {
  fill: gray;
  height: 22px;
  width: 22px;
}
.search-input:focus ~ .search-btn svg {
  fill: white;
}

.cta {
  text-align: center;
  font-size: 13px;
  color: gray;
  word-spacing: 2px;
  margin-bottom: 30vh;
}

.tablet-spread-ddg {
  display: none;
}

.tablet-spread-ddg a {
  text-decoration: none;
}
.btn-container {
  text-align: center;
}

.safari-btn {
  background-color: #66abff;
  border-radius: 3px;
  padding: 10px 20px;
  border: none;
  color: white;
  font-size: 18px;
  font-weight: 500;
  margin-right: 5px;
}

.learn-btn {
  background-color: #aaa;
  border-radius: 3px;
  padding: 10px 20px;
  border: none;
  color: white;
  font-size: 18px;
  font-weight: 500;
  margin-left: 5px;
}

.btn-next-section {
  display: none;
}

.circle-black {
  display: none;
}

.section {
  position: relative;
  height: 100vh;
}
.privacy-section {
  background-color: #58b792;
}

.nad-section {
  background-color: #f5a339;
}

.tracking-section {
  background-color: #5f63bd;
}

.switch-section {
  background-color: #87cef5;
}

.switch-section h2 {
  color: rgba(0, 0, 0, 0.6);
}

.switch-section p {
  color: rgba(0, 0, 0, 0.6);
}

.dismiss {
  margin: 0 auto;
  text-align: center;
  padding-top: 20px;
}

.dismiss-forever {
  margin-right: 15px;
}

.back-to-search {
  margin-left: 15px;
  font-weight: 700;
}

.section-heading {
  width: 80%;
  font-weight: 800;
  color: white;
  text-align: center;
  margin: 0 auto;
  padding-top: 15vh;
}

.section-statement {
  width: 80%;
  color: white;
  text-align: center;
  margin: 0 auto;
  padding: 3vh;
}

.btn-add-ddg {
  display: block;
  margin: 0 auto;
  background-color: rgba(0, 0, 0, 0.45);
  color: white;
  border: none;
  padding: 12px 20px;
  font-weight: 600;
  border-radius: 3px;
  font-size: 16px;
}

.section-image {
  position: absolute;
  bottom: 0;
  width: 100%;
}

/*============================================================== Tablet Styles ==============================================================*/

@media only screen and (min-width: 768px) {
  ::-webkit-scrollbar {
    display: none;
  }

  .sidebar-right {
    width: 20vh;
  }

  .logo {
    width: 25%;
  }

  .search-form {
    width: 70%;
  }

  .cta {
    width: 70%;
    margin: 0 auto 40vh auto;
    font-size: 16px;
  }

  .tablet-spread-ddg {
    display: inline;
  }

  .safari-btn {
    padding: 10px 40px;
    margin-right: 10px;
  }

  .learn-btn {
    padding: 10px 40px;
  }

  .section-heading {
    font-size: 42px;
  }

  .section-statement {
    width: 60%;
    font-size: 18px;
  }

  .dismiss {
    text-align: right;
    padding-right: 3vh;
  }
}

/*============================================================== Desktop Styles ==============================================================*/

@media only screen and (min-width: 1224px) {
  .logo {
    width: 10%;
  }

  .search-form {
    width: 30%;
  }

  .header {
    padding-bottom: 20px;
  }

  .privacy-dropdown {
    display: inline;
    margin-right: 20px;
    color: gray;
    font-size: 12px;
  }

  .privacy-dropdown:hover {
    color: black;
    cursor: pointer;
  }

  .privacy-dropdown:hover svg {
    fill: black;
  }

  #privacy-menu:checked ~ .privacy-popup {
    display: block;
  }

  .privacy-popup {
    background-color: white;
    width: 450px;
    height: 575px;
    position: absolute;
    top: 8vh;
    right: 14vh;
    border-radius: 5px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
    overflow: hidden;
  }

  .privacy-options {
    list-style: none;
    padding: 0;
  }

  .list-icon {
    float: left;
    height: 100%;
  }

  .privacy-option {
    margin: 0 auto;
    display: block;
    text-align: left;
    width: 85%;
    height: 75px;
    border-radius: 3px;
  }

  .privacy-option:hover {
    background-color: rgba(0, 0, 0, 0.05);
    cursor: pointer;
  }

  .list-icon {
    height: 50px;
    margin-top: 12.5px;
  }

  .item-heading {
    font-weight: 400;
    font-size: 18px;
    margin-left: 60px;
    padding-top: 12.5px;
    margin-bottom: 0;
  }

  .item-heading:hover {
    text-decoration: underline;
  }

  .item-text {
    margin-left: 60px;
    margin-top: 0;
    font-size: 12px;
    color: gray;
  }

  .statistics {
    border-top: 1px solid rgba(0, 0, 0, 0.2);
    background-color: #fafafa;
    height: 100%;
  }

  .statistics-list {
    list-style: none;
    text-align: left;
    font-size: 12px;
    padding: 0;
  }

  .statistics-item {
    display: block;
    margin: 0 auto;
    width: 85%;
    height: 40px;
  }
  .statistics-item:hover {
    text-decoration: underline;
    cursor: pointer;
  }

  .statistics-icon {
    width: 35px;
    float: left;
  }

  .statistics-text {
    padding-top: 10px;
    padding-left: 45px;
  }

  .safari-btn {
    display: none;
  }

  .learn-btn {
    display: none;
  }

  .search-section {
    position: relative;
  }

  .btn-next-section {
    position: absolute;
    bottom: 40px;
    left: 50%;
    transform: translateX(-50%);
  }

  .btn-next-section:hover {
    cursor: pointer;
  }

  .next-section-img {
    height: 64px;
    width: 80px;
  }

  .circle-black {
    display: block;
    position: absolute;
    left: 50%;
    bottom: -15px;
    transform: translateX(-50%);
    background-color: black;
    border-radius: 50%;
    width: 35px;
    height: 35px;
  }

  .circle-black:hover {
    cursor: pointer;
  }

  .next-arrow {
    fill: white;
    width: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .next-arrow:hover {
    cursor: pointer;
  }

  .section-image {
    width: 50%;
    left: 50%;
    transform: translateX(-50%);
  }

  .section-heading {
    width: 40%;
  }

  .section-statement {
    width: 35%;
  }
}
